[Pkg-ocaml-maint-commits] [SCM] ocamlbricks packaging branch, master, updated. debian/0.50.1-2.1-1-g84ac84f

Jonathan Roudiere jonathan.roudiere at lipn.univ-paris13.fr
Sat Mar 28 17:21:41 UTC 2009


The following commit has been merged in the master branch:
commit 84ac84f4dbd2e51bc777644cc79e4333198e7cbe
Author: Jonathan Roudiere <jonathan.roudiere at lipn.univ-paris13.fr>
Date:   Sat Mar 28 18:38:00 2009 +0100

    Change maintainer to Debian OCaml Maintainers, solve bug with dash

diff --git a/debian/changelog b/debian/changelog
index 1803241..5b89e10 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,12 @@
 ocamlbricks (0.50.1-2.1) unstable; urgency=low
+  
+  [ Jonathan Roudiere ]
+  * change the maintainer of ocamlbricks to Debian OCaml Maintainers
+  * Fix bug and compatibility with dash, change 'source' by '.' in
+    CONFIGURATION/configuration_files.m and invoke bash explicitly
+    in unixExtra.ml
+  * miror changes in debian/{rules,control}, update version of
+    Debian Policy
 
   [ Stefano Zacchiroli ]
   * Non-maintainer upload to finish the 3.11 transition.
@@ -11,7 +19,7 @@ ocamlbricks (0.50.1-2.1) unstable; urgency=low
     (Closes: #519632)
   * Update versions in Build-Depends for OCaml 3.11.0 transition
 
- -- Stefano Zacchiroli <zack at debian.org>  Fri, 27 Mar 2009 14:39:16 +0100
+ -- Jonathan Roudiere <roudiere at lipn.univ-paris13.fr>  Sat, 28 Mar 2009 16:45:16 +0100
 
 ocamlbricks (0.50.1-1) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 0c7f501..3814016 100644
--- a/debian/control
+++ b/debian/control
@@ -1,8 +1,8 @@
 Source: ocamlbricks
 Section: libdevel
 Priority: optional
-Maintainer: Jonathan Roudiere <jonathan.roudiere at lipn.univ-paris13.fr>
-Uploaders: Sylvain Le Gall <gildor at debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint at lists.debian.org>
+Uploaders: Sylvain Le Gall <gildor at debian.org>, Jonathan Roudiere <jonathan.roudiere at lipn.univ-paris13.fr>
 DM-Upload-Allowed: yes 
 Build-Depends: debhelper (>> 5.0.0),
  ocaml (>= 3.11.0-5),
@@ -10,7 +10,7 @@ Build-Depends: debhelper (>> 5.0.0),
  bash (>= 3.1),
  dh-ocaml,
  dpatch
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlbricks.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlbricks.git
 Homepage: http://darcs.marionnet.org/repos/ocamlbricks/
diff --git a/debian/patches/00list b/debian/patches/00list
index 32949df..27029ec 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1,2 +1,3 @@
 01_adapt_debian
 02_remove_dbug_print
+03_compatibility_withdash_fixbug
diff --git a/debian/patches/03_compatibility_withdash_fixbug.dpatch b/debian/patches/03_compatibility_withdash_fixbug.dpatch
new file mode 100755
index 0000000..4e4de40
--- /dev/null
+++ b/debian/patches/03_compatibility_withdash_fixbug.dpatch
@@ -0,0 +1,35 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03_compatibility_withdash_fixbug.dpatch by  <roudiere at lipn.univ-paris13.fr>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Replaced source with . for dash compatibility; also explicitly invoke 
+## DP: bash in UnixExtra.run
+
+ at DPATCH@
+
+diff -ru ocamlbricks_orig/CONFIGURATION/configuration_files.ml ocamlbricks/CONFIGURATION/configuration_files.ml
+--- ocamlbricks_orig/CONFIGURATION/configuration_files.ml	2009-03-25 02:26:21.000000000 +0100
++++ ocamlbricks/CONFIGURATION/configuration_files.ml	2009-03-25 02:42:54.000000000 +0100
+@@ -58,7 +58,9 @@
+ let output_of_file_name file_name variables =
+   try
+     let source_command_line =
+-      Printf.sprintf "set -e; (source %s 2> /dev/null &&" file_name in
++    (* This is very important: dash does not support "source", you have to use the
++       less readable, but more portable, ".": *)
++      Printf.sprintf "set -e; (. %s 2> /dev/null &&" file_name in
+     let command_line =
+       List.fold_left
+         (fun string variable ->
+diff -ru ocamlbricks_orig/EXTRA/unixExtra.ml ocamlbricks/EXTRA/unixExtra.ml
+--- ocamlbricks_orig/EXTRA/unixExtra.ml	2009-03-25 02:26:21.000000000 +0100
++++ ocamlbricks/EXTRA/unixExtra.ml	2009-03-25 02:40:48.000000000 +0100
+@@ -366,7 +366,7 @@
+         ((" <"^name),name) 
+       end
+   in 
+-  let code = Unix.system(script^" >"^output^input_option) in 
++  let code = Unix.system("bash -c " ^script^" >"^output^input_option) in
+   let str = (cat output) in
+   begin
+     if trace then begin 
diff --git a/debian/rules b/debian/rules
index 05dac16..ffa901f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -44,7 +44,7 @@ build-stamp: patch-stamp configure-stamp
 clean: unpatch
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp 
+	-$(RM) build-stamp configure-stamp 
 	$(MAKE) clean
 	dh_clean --exclude=buildsystem/* 
 	-$(RM) $(CURDIR)/debian/$(DEB_PACKAGE).doc-base.ocamldoc-apiref
@@ -68,7 +68,7 @@ install: build
 
 	# Copy libraries for libocamlbricks-ocaml-dev
 	cp $(DESTDIR)/$(OCAML_LIBDIR)/$(PACKAGE)/* $(CURDIR)/debian/$(DEB_PACKAGE)/$(OCAML_LIBDIR)/$(PACKAGE)/
-	rm  $(CURDIR)/debian/$(DEB_PACKAGE)/$(OCAML_LIBDIR)/$(PACKAGE)/stupidprogram*
+	-$(RM) $(CURDIR)/debian/$(DEB_PACKAGE)/$(OCAML_LIBDIR)/$(PACKAGE)/stupidprogram*
 
 	# create .mli file (header)
 	chmod +x $(CURDIR)/debian/generate_mli.sh

-- 
ocamlbricks packaging



More information about the Pkg-ocaml-maint-commits mailing list